Imports System.Data
Imports Telerik.Web.UI

Partial Class Default2
    Inherits System.Web.UI.Page
    Protected Sub RadGrid1_NeedDataSource(ByVal sender As Object, ByVal e As Telerik.Web.UI.GridNeedDataSourceEventArgs) Handles RadGrid1.NeedDataSource
        Dim dt As New DataTable
        'Add our columns  
        For i As Integer = 0 To 5
            dt.Columns.Add("Field" + i.ToString, GetType(String))
        Next
        Dim row As DataRow
        For r As Integer = 0 To 50
            row = dt.NewRow
            For c As Integer = 0 To 5
                row("Field" + c.ToString) = "Value " + r.ToString
            Next
            dt.Rows.Add(row)
        Next
        Me.RadGrid1.DataSource = dt
    End Sub
End Class
